Plesk\backup\Agent\Schema\Backup\Reseller\ResellerAType:
    properties:
        id:
            expose: true
            access_type: public_method
            serialized_name: id
            accessor:
                getter: getId
                setter: setId
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        contact:
            expose: true
            access_type: public_method
            serialized_name: contact
            accessor:
                getter: getContact
                setter: setContact
            xml_attribute: true
            type: string
        crDate:
            expose: true
            access_type: public_method
            serialized_name: cr-date
            accessor:
                getter: getCrDate
                setter: setCrDate
            xml_attribute: true
            type: string
        maxButtonLength:
            expose: true
            access_type: public_method
            serialized_name: max-button-length
            accessor:
                getter: getMaxButtonLength
                setter: setMaxButtonLength
            xml_attribute: true
            type: string
        skin:
            expose: true
            access_type: public_method
            serialized_name: skin
            accessor:
                getter: getSkin
                setter: setSkin
            xml_attribute: true
            type: string
        lockScreen:
            expose: true
            access_type: public_method
            serialized_name: lock-screen
            accessor:
                getter: getLockScreen
                setter: setLockScreen
            xml_attribute: true
            type: string
        vendorGuid:
            expose: true
            access_type: public_method
            serialized_name: vendor-guid
            accessor:
                getter: getVendorGuid
                setter: setVendorGuid
            xml_attribute: true
            type: string
        content:
            expose: true
            access_type: public_method
            serialized_name: content
            xml_element:
                cdata: false
            accessor:
                getter: getContent
                setter: setContent
            type: Plesk\backup\Agent\Schema\Backup\Content
        preferences:
            expose: true
            access_type: public_method
            serialized_name: preferences
            xml_element:
                cdata: false
            accessor:
                getter: getPreferences
                setter: setPreferences
            type: Plesk\backup\Agent\Schema\Backup\Reseller\ResellerAType\PreferencesAType
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: Plesk\backup\Agent\Schema\Backup\Reseller\ResellerAType\PropertiesAType
        limitsAndPermissions:
            expose: true
            access_type: public_method
            serialized_name: limits-and-permissions
            xml_element:
                cdata: false
            accessor:
                getter: getLimitsAndPermissions
                setter: setLimitsAndPermissions
            type: Plesk\backup\Agent\Schema\Backup\Reseller\ResellerAType\LimitsAndPermissionsAType
        ipPool:
            expose: true
            access_type: public_method
            serialized_name: ip_pool
            xml_element:
                cdata: false
            accessor:
                getter: getIpPool
                setter: setIpPool
            type: array<Plesk\backup\Agent\Schema\Backup\Ip>
            xml_list:
                inline: false
                entry_name: ip
                skip_when_empty: true
        sappPool:
            expose: true
            access_type: public_method
            serialized_name: sapp-pool
            xml_element:
                cdata: false
            accessor:
                getter: getSappPool
                setter: setSappPool
            type: Plesk\backup\Agent\Schema\Backup\SappPool
        traffic:
            expose: true
            access_type: public_method
            serialized_name: traffic
            xml_element:
                cdata: false
            accessor:
                getter: getTraffic
                setter: setTraffic
            type: string
        domains:
            expose: true
            access_type: public_method
            serialized_name: domains
            xml_element:
                cdata: false
            accessor:
                getter: getDomains
                setter: setDomains
            type: array<Plesk\backup\Agent\Schema\Backup\DomainInfo>
            xml_list:
                inline: false
                entry_name: domain-info
                skip_when_empty: true
        clients:
            expose: true
            access_type: public_method
            serialized_name: clients
            xml_element:
                cdata: false
            accessor:
                getter: getClients
                setter: setClients
            type: array<Plesk\backup\Agent\Schema\Backup\ClientInfo>
            xml_list:
                inline: false
                entry_name: client-info
                skip_when_empty: true
        users:
            expose: true
            access_type: public_method
            serialized_name: users
            xml_element:
                cdata: false
            accessor:
                getter: getUsers
                setter: setUsers
            type: array<Plesk\backup\Agent\Schema\Backup\User>
            xml_list:
                inline: false
                entry_name: user
                skip_when_empty: true
        roles:
            expose: true
            access_type: public_method
            serialized_name: roles
            xml_element:
                cdata: false
            accessor:
                getter: getRoles
                setter: setRoles
            type: array<Plesk\backup\Agent\Schema\Backup\Role>
            xml_list:
                inline: false
                entry_name: role
                skip_when_empty: true
        serviceNodes:
            expose: true
            access_type: public_method
            serialized_name: service-nodes
            xml_element:
                cdata: false
            accessor:
                getter: getServiceNodes
                setter: setServiceNodes
            type: Plesk\backup\Agent\Schema\Backup\ServiceNodes
        pmmExtensionPackage:
            expose: true
            access_type: public_method
            serialized_name: pmm-extension-package
            xml_element:
                cdata: false
            accessor:
                getter: getPmmExtensionPackage
                setter: setPmmExtensionPackage
            type: Plesk\backup\Agent\Schema\Backup\PmmExtensionPackage
        extensions:
            expose: true
            access_type: public_method
            serialized_name: extensions
            xml_element:
                cdata: false
            accessor:
                getter: getExtensions
                setter: setExtensions
            type: array<Plesk\backup\Agent\Schema\Backup\Extensions\ExtensionsAType\ExtensionAType>
            xml_list:
                inline: false
                entry_name: extension
                skip_when_empty: true
